# Retrieve an account

`GET /accounts/{accountID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Retrieves details for the account with the specified ID.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need 
to specify the `/accounts/{accountID}/profile.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountID` | string | Yes | Unique identifier for this account. |
| `mode` | string | Yes | The operating mode for an account. Values: `sandbox`, `production`. |
| `accountType` | string | Yes | The type of entity represented by this account. Values: `individual`, `business`, `guest`. |
| `displayName` | string | Yes |  |
| `profile` | object | Yes | Describes a Moov account profile. A profile will have a business, individual, or guest depending on the account's type. |
| `profile.individual` | object |  | Describes an individual. |
| `profile.business` | object |  | Describes a business. |
| `profile.guest` | object |  | Describes a guest account profile. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `termsOfService` | object |  | Describes the acceptance of the Terms of Service. |
| `termsOfService.acceptedDate` | string (date-time) | Yes | The date and time the terms of service were accepted. |
| `termsOfService.acceptedIP` | string | Yes | The IP address (IPv4 or IPv6) from which the terms of service were accepted. |
| `capabilities` | array of object |  |  |
| `capabilities[].capability` | string | Yes |  |
| `capabilities[].status` | string | Yes |  |
| `verification` | object | Yes | Describes identity verification status and relevant identity verification documents. |
| `verification.verificationStatus` | string |  | Possible states an account verification can be in. Values: `unverified`, `pending`, `resubmit`, `review`, `verified`, `failed`. |
| `verification.status` | string | Yes | Possible states an account verification can be in. Values: `unverified`, `pending`, `verified`, `errored`. |
| `verification.details` | string |  | Additional detail for a verification status. Values: `failedAutoVerify`, `docDobMismatch`, `docNameMismatch`, `docAddressMismatch`, `docNumberMismatch`, `docIncomplete`, `docFailedRisk`, `potentialAccountSanctionsMatch`, `potentialRepresentativeSanctionsMatch`, `failedOther`. |
| `verification.documents` | array of object |  |  |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `customerSupport` | object |  | User-provided information that can be displayed on credit card transactions for customers to use when contacting a customer support team. This data is only allowed on a business account. |
| `customerSupport.phone` | object |  |  |
| `customerSupport.email` | string (email) |  |  |
| `customerSupport.address` | object |  |  |
| `customerSupport.website` | string (uri) |  |  |
| `settings` | object |  | User provided settings to manage an account. |
| `settings.cardPayment` | object |  | User provided settings to manage card payments. This data is only allowed on a business account. |
| `settings.achPayment` | object |  |  |
| `createdOn` | string (date-time) | Yes |  |
| `updatedOn` | string (date-time) | Yes |  |
| `disconnectedOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accounts.get({
    accountID: "2f93a6cf-3b3b-4c17-8d3b-110dfadccea4",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/moov-accounts/accounts/get/
